## ogamesim 20130107

=== csim/Makefile ===
SRC		=	$(wildcard *.c)
OBJ		=	$(SRC:%.c=obj/%.o)
SO_OBJ		=	$(filter-out main.o,$(OBJ))
WOBJ		=	$(SRC:%.c=obj/%.obj)
DLL_OBJ		=	$(filter-out main.obj,$(WOBJ))
UMASK		=	022
TIMECMD		=	/usr/bin/time -p

# цель для Linux (для венды будет с суффиксом .exe)
TARGET		=	csim

# флаги линуксового компилятора
CCFLAGS		=	-MMD -g -O2 -fomit-frame-pointer

# флаги виндового компилятора
WCCFLAGS	=	-g -O2 -D__WIN32__ -fomit-frame-pointer

SIZE		= 	size
WSIZE		=	i586-mingw32msvc-size

# линуксовый компилятор
CC		=	gcc

# виндовый компилятор
WCC		=	i586-mingw32msvc-gcc

WLIBS		=

# по умолчанию собираем для линукс только 
all: for_linux 

# сборка под все платформы
all_targets: for_linux for_win32

# сборка для линукс
for_linux: $(TARGET)
#$(TARGET).so

# сборка для венды
for_win32: $(TARGET).exe

# csim (static)
$(TARGET): $(OBJ)
	umask $(UMASK) && $(CC) $(OBJ) -o $@ 
	$(SIZE) $@
# csim.so
$(TARGET).so: $(SO_OBJ)
	umask $(UMASK) && $(CC) $(SO_OBJ) -o $@ -shared -nostartfiles
	$(SIZE) $@

# csim.dll
$(TARGET).dll: $(DLL_OBJ)
	$(WCC) $(DLL_OBJ) -o $@ -shared
	$(WSIZE) $@

# csim_wl.exe (dynamic)
$(TARGET)_wl.exe: obj/main.obj $(TARGET).dll
	$(WCC) obj/main.obj $(TARGET).dll -o $@
	$(WSIZE) $@

# csim_wl (dynamic)
$(TARGET)_wl: $(TARGET).so
	umask $(UMASK) && $(CC) obj/main.o $< -o $@

# csim.exe (static)
$(TARGET).exe: $(WOBJ)
	$(WCC) $(WOBJ) -o $@ -static  $(WLIBS)
	$(WSIZE) $@

obj/%.obj: %.c Makefile
	-@mkdir -p obj
	$(WCC) -c $(WCCFLAGS) $< -o $@

obj/%.o: %.c Makefile
	-@mkdir -p obj
	$(CC) -c $(CCFLAGS) $< -o $@

units.conf: $(wildcard langs/??) base_units.conf
	umask 022 && \
	cp -f base_units.conf $@
	for lang in $(wildcard langs/??); do \
		echo -e "\n\n#Language $$lang\n" >> $@; \
		cat $$lang >> $@; \
	done

units_info.c: units.conf create_units.pl units_info.h Makefile
	perl create_units.pl $< -c $@ -h /dev/null

units_info.h: units.conf create_units.pl Makefile
	perl create_units.pl $< -h $@ -c /dev/null

clean:
	rm -fr obj


open_project:
ifeq ($(TERM),screen)
	@if [ -e .Makefile.swp ]; then \
		echo "Проект уже открыт!"; \
	else 	\
		for i in Makefile units.conf create_units.pl *.[ch]; do \
			screen -t $$i vim $$i; sleep 0.5; \
		done;	\
	fi
else
	@echo проект открывается только под screen
endif

test: $(TARGET)
	$(TIMECMD) ./$(TARGET) -s 100  -f 3 -i tests/test1.txt
test2: $(TARGET)
	$(TIMECMD) ./$(TARGET) -t 3 -s 100  -f 3 -i tests/test2.txt
test3: $(TARGET)
	$(TIMECMD) ./$(TARGET) -s 100  -f 3 -i tests/test3.txt


include $(wildcard obj/*.d)

.PHONY: all clean test test2 test3 open_project for_linux for_win32 all_targets

=== www/Makefile ===
POSRC		= $(wildcard template/lang/*.po)
LANGS		= $(POSRC:template/lang/%.po=%)
HTMLS		= $(LANGS:%=template/sim.%.html)
TEMPLATE	= template/lang/NEW_LANGUAGE_TEMPLATE.pot
MAINHTML	= template/TEMPLATE.html
VERSION		= $(shell grep '^our \$$VERSION=' index.cgi \
			|sed 's/^.*VERSION=//' \
			|sed 's/;//' | sed 's/ //g')


all: $(TEMPLATE) $(POSRC) $(HTMLS) template/sim.en.html

$(TEMPLATE): $(MAINHTML) Makefile
	umask 022; \
	perl mlhtml/htmlgettext.pl \
		-sv $(VERSION) \
		-package ogamesim \
		-charset UTF-8 \
		-langteam 'Ogamesim language team <dimka@avanto.org>' \
		-desc 'Language file for LANGUAGE' \
		-copyright \
		 'Copyright (C) by Dmitry E. Oboukhov, 2006' \
		-email 'Dmitry E. Oboukhov <dimka@avanto.org>' \
		-o $@ $<

$(POSRC): template/lang/%.po: $(TEMPLATE)
	msgmerge --suffix=.previous --update $@ $<

$(HTMLS): template/sim.%.html:template/lang/%.po $(MAINHTML) Makefile
	umask 022; \
	perl mlhtml/htmlputtext.pl -p $< \
		-o $@ \
		-charset UTF-8 \
		$(MAINHTML)

template/sim.en.html:$(MAINHTML)
	umask 022; \
	perl mlhtml/htmlputtext.pl -o $@ \
		-charset UTF-8 \
		$(MAINHTML) 2>/dev/null


.PHONY: all

=== debian/changelog ===
ogamesim (20130107-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change debhelper from 5 to 11. Update debian/rules. (Closes: #965752)
    - Clean files by debian/clean
  * Change source package to DebSrc3.0 with quilt.
    - Split diff.gz to quilt patches.
  * debian/control: Change priority from extra to optional.
  * debian/control: Don't depends on perl-modules. Depends on perl is enough.
  * debian/copyright: Change to dep5 machine-readable format.
  * Add autopkgtest

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 07 Jan 2022 15:43:00 +0800

ogamesim (20130107-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:09:25 +0100

ogamesim (20130107-3) unstable; urgency=medium

  * Fixed FTBFS (closes: #845102), thanks to Santiago Vila <sanvila@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 15 May 2017 12:29:27 +0300

ogamesim (20130107-2) unstable; urgency=medium

  * Fixed FTBFS (closes: #822012), thanks to <niels@thykier.net>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 27 Oct 2016 11:15:36 +0300

ogamesim (20130107-1) unstable; urgency=low

  * Apply Paweł Kalinowski's patches.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 07 Jan 2013 00:28:58 +0400

ogamesim (20080831-1) unstable; urgency=low

  * New upstream version (Polish language added).

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 31 Aug 2008 18:10:05 +0400

ogamesim (20071227-1) unstable; urgency=low

  * New upstream version (Czech language added).
  * Fix copyright lintian warning (debian/copyright).
  * Added 'Homepage' field into debian/control.
  * Bumped Standards-Version to 3.7.3.
  * Use debhelper for building package, closes: #437666.
  * My email address has been changed.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 29 May 2008 22:20:16 +0300

ogamesim (20070215-2) unstable; urgency=low

  * Fix ogamesim-www 'download' link (closes: #411549);
  * Fix "package is not cross-compilable" bug (closes: #411598),
  	thanks "Guillem Jover" <guillem@debian.org> :);
  * Fix 'hardcoded shared libs in Depends line' bug (closes: #411596);
  * Fix Build-Depends line (unneeded on build-essential package) 
  	(closes: #411599);
  * Fix package description (closes: #411601);

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Tue, 20 Feb 2007 10:24:42 +0300

ogamesim (20070215-1) unstable; urgency=low

  * New upstream version;

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sat, 17 Feb 2007 23:42:00 +0300

ogamesim (20070208-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Thu,  8 Feb 2007 21:29:01 +0300

ogamesim (20070204-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sun,  4 Feb 2007 18:50:05 +0300

ogamesim (20061229-3) unstable; urgency=low

  * Fix 'Build-depends' section (as policy sec. 4.2).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Sun, 14 Jan 2007 18:45:55 +0300

ogamesim (20061229-2) unstable; urgency=low

  * Fix changelog.Debian.gz as 'Debian policy (sec 12.7)';
  * Fix debian/copyright (Add 'downloaded from' section).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Mon,  1 Jan 2007 18:34:26 +0300

ogamesim (20061229-1) unstable; urgency=low

  * Initial release (closes: #402192).

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Fri, 29 Dec 2006 00:52:18 +0300

=== debian/control ===
Source: ogamesim
Section: games
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.7.3
Build-Depends: perl (>= 5.6), gettext (>= 0.15), debhelper (>= 11)
Homepage: http://www.o-o-d.com/tool/sim

Package: ogamesim
Suggests: ogamesim-www
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Console Ogame Simulator
 Console battles simulator for the  online MMORG Ogame (strategic 
 space simulation game): http://ogame.org. It allows to perform the 
 battles simulation between one player and another one player 
 (Multi-combat mode is not supported).
 The simulator can integrate in a script bot or can be used just 
 for the battle result calculation.

Package: ogamesim-www
Suggests: apache2
Architecture: all
Depends: perl, libsys-cpu-perl, libcgi-simple-perl, libhtml-template-perl, ogamesim, ${misc:Depends}
Description: WWW GUI for ogamesim
 CGI frontend for the console battles simulator.
 Contains:
  * The probe report parser for the automatical input form filling;
  * The task editor for the simulator;
  * The calculation results report parser;
  * The multilanguage interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

SIMULATOR	:=	ogamesim
WEBGUI		:=	ogamesim-www

SIMPATH		:=	/usr/games/$(SIMULATOR)

REVISION	:=	$(shell dpkg-parsechangelog| \
	grep '^Version' | sed 's/.*-//')

DEBVERSION	:=	$(shell dpkg-parsechangelog| \
	grep '^Version' | awk '{ print $$2 }'| sed 's/-.*//')


SIMVERSION	:=	$(shell grep 'define[[:space:]]\+VERSION' \
	csim/version.h | \
	awk -- '{ print $$3 }' | \
	sed 's/[^0-9\.]//g')-$(REVISION)
GUIVERSION	:=	$(shell grep 'our[[:space:]]\+$$VERSION' \
	www/index.cgi| \
	sed 's/.*=//'| \
	sed 's/[^0-9\.]//g')-$(REVISION)

DOWNLOAD_URL	:=	'http://www.o-o-d.com/tool/sim/sim.tar.bz2'

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -D csim -- for_linux
	cp csim/csim $(SIMULATOR)
	dh_auto_build -D www
	install -m 0755 www/index.cgi .
	perl -pi -e \
		's#^my\s+\$$units_conf.*#my \$$units_conf = "units.conf";#; \
		 s#^my\s+\$$lang.*#my \$$lang = "en";#; \
		 s#my\s+\$$counter_file.*#my \$$counter_file = "";#; \
		 s#^my\s+\$$simulator.*#my \$$simulator = "$(SIMPATH)";#' \
		index.cgi
	mkdir -p template
	for tmpl in `ls www/template/|grep 'sim\...\.html$$'`; do \
		cat www/template/$$tmpl \
		|sed 's~href="sim\.tar\.bz2"~href="$(DOWNLOAD_URL)"~' \
		> template/$$tmpl; \
	done
	install -m 0644 csim/csim.6 $(SIMULATOR).6
	perl -pi -e 's/csim/$(SIMULATOR)/g' $(SIMULATOR).6

override_dh_auto_clean:
	rm -fr $(CURDIR)/template
	dh_auto_clean -D csim
	dh_auto_clean

tarball: clean
	test -d ../ogamesim-$(DEBVERSION)
	cd .. && \
		tar --exclude=debian --exclude=.git \
			-czvf ogamesim_$(DEBVERSION).orig.tar.gz \
			ogamesim-$(DEBVERSION)

=== debian/tests/control ===
Tests: test-task
Depends: ogamesim

Tests: test-csim-tests
Depends: ogamesim
